Page MenuHomeMiraheze

CreateWiki logs on wrong wikis
Closed, ResolvedPublic

Description

Instead of showing up on the RC the createwiki log shows up on the wiki that has been created. It does show up in the logs on Meta though.
On the RC of the wiki it shows an IP. SPF says he saw his and I see mine, so it can't be a big problem but we should still take a look into it. Example is: https://wright057.miraheze.org/wiki/Special:RecentChanges

Event Timeline

Reception123 renamed this task from IP of wiki creator showing up on RC of wiki to CreateWiki logs on wrong wikis.Dec 4 2016, 13:07
Reception123 added subscribers: John, NDKilla, labster.
John assigned this task to Southparkfan.Dec 4 2016, 19:52

Updates on this? This issue is pretty urgent to be fixed.

John changed the visibility from "Custom Policy" to "Public (No Login Required)".Dec 13 2016, 19:31
John edited projects, added CreateWiki, MediaWiki; removed Security.
John added a comment.Dec 13 2016, 19:32

It's not necessarily a security issue - it reveals something people already know and have access to. It'll be good to fix but it's definitely not a security imperative issue.

MacFan4000 moved this task from Backlog to Bugs on the MediaWiki board.Dec 13 2016, 20:02

The row is not in logging, only in recentchanges. We need to determine why this row is being inserted.

Void added a subscriber: Void.Dec 23 2016, 01:15

High priority issue with almost 1 month of inactivity. @Southparkfan

John added a comment.Jan 15 2017, 11:34

Considering this affects RC only, I'm debating if this is high priority really.

John lowered the priority of this task from High to Low.Jan 27 2017, 19:39

It's approaching 2 months since this was opened. With no resolution its clearly not high priroty. It's not caused any issues in workflows, has no extended impact and has actually only been brought up three times over the 2 months (twice in the first week).

This therefore qualified as low priority to me.

Reception123 added a comment.EditedFeb 25 2017, 08:59

@Southparkfan this is the commit that seems to be the cause of this issue https://github.com/miraheze/CreateWiki/commit/004596167ad1a59c07b8c4d8701cf99f9e5ea72b .
I think that's why it must be that because wgLogTypes is probably adding farmer log to all the wikis.

I can't see here how that could be causing the problem. CreateWiki is not loaded on all wikis.

@Southparkfan It must've been a commit that caused the issue. If it not loaded on all wikis then how is the farmer log being loaded on all wikis?

Reception123 added a comment.EditedFeb 25 2017, 18:44

Then it was https://github.com/miraheze/CreateWiki/commit/183d9e43f00648c49c7a6494a5a46806d0cb5f04 . I checked recentchanges and it stopped logging after this commit or our initial approach that it was MW 1.28 still stands, but even so how could the upgrade affect CreateWiki?

More details: conquestofparadiserp.miraheze.org.log.1:LogPage::actionText - unknown action farmer/createwiki

Reception123 closed this task as Resolved.Mar 3 2017, 15:17

Fixed by @Southparkfan . missing selectDB

Southparkfan reopened this task as Open.Mar 4 2017, 16:18

Not fixed.

revi raised the priority of this task from Low to Normal.Mar 9 2017, 02:12
9 March 2017
(diff | hist) . . N! Main Page‎; 01:16 . . (+1,693)‎ . . ‎MediaWiki default (talk | block)‎ (Create main page)
(Farmer log); 01:16 . . GFN (talk | contribs | block) created the wiki "vawtwiki" ‎(Per request.)
8 March 2017
(diff | hist) . . N! Main Page‎; 01:54 . . (+1,693)‎ . . ‎MediaWiki default (talk | block)‎ (Create main page)
(Farmer log); 01:54 . . GFN (talk | contribs | block) created the wiki "mynintendowiki" ‎(Per request.)
(diff | hist) . . N! Main Page‎; 01:51 . . (+1,693)‎ . . ‎MediaWiki default (talk | block)‎ (Create main page)
(Farmer log); 01:51 . . GFN (talk | contribs | block) created the wiki "tinkererswiki" ‎(Per request.)

Seems to be happening quite often.

John lowered the priority of this task from Normal to Low.Mar 9 2017, 07:26

It's happening at the same frequency as before (once per wiki).

The only differences being;

  • this doesn't reveal your own IP address to yourself,
  • is one one wiki,
  • has been discussed and the conclusion being "it's better than having no log and better than having no main page".

SPF is assigned to this and like the original issue is low priority to him and everyone else compared to other work.

MacFan4000 moved this task from Unsorted to MediaWiki on the MacFan4000 board.
MacFan4000 added a subscriber: MacFan4000.